{"openapi":"3.1.0","info":{"title":"Scrape Creators API","description":"The easiest way to scrape public social media data at scale. Extract profiles, posts, videos, comments, and more from TikTok, Instagram, YouTube, Twitter, LinkedIn, Facebook, Reddit, and 27+ platforms.","version":"1.0.0","contact":{"name":"Scrape Creators","url":"https://scrapecreators.com","email":"support@scrapecreators.com"}},"servers":[{"url":"https://api.scrapecreators.com","description":"Production server"}],"security":[{"apiKeyAuth":[]}],"tags":[{"name":"TikTok","description":"Scrape TikTok profiles, videos, and more"}],"paths":{"/v1/tiktok/live":{"get":{"tags":["TikTok"],"summary":"Live Info","description":"Gets curated room-level info for a TikTok live using TokAPI's live info endpoint. Use `/v1/tiktok/user/live` first to find the `room_id`. If you only have a TikTok handle and need the user's numeric id, use `/v1/tiktok/profile` first to get `user.id`. This endpoint is separate from `/v1/tiktok/user/live` because it uses a different upstream call and returns a smaller response with the most relevant fields: `room_id`, `like_count`, `viewer_count`, `status`, `title`, `cover_url`, and `owner`.","parameters":[{"name":"room_id","in":"query","required":true,"description":"TikTok live room id. Get this from `/v1/tiktok/user/live` in `liveRoomUserInfo.roomId` or `liveRoom.id` when the user is live.","schema":{"type":"string"},"example":"7523685855395842871"},{"name":"user_id","in":"query","required":true,"description":"TikTok numeric user id for the live owner. Get this from `/v1/tiktok/profile` in `user.id`.","schema":{"type":"string"},"example":"6742945285876515845"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"example":{"room_id":"7523685855395842871","like_count":4317,"viewer_count":268,"status":"live","title":"6'13 Grateful Streamer","cover_url":"https://p16-webcast.tiktokcdn-us.com/webcast/cover.jpeg","owner":{"id":"6742945285876515845","username":"thejustalex","display_name":"JustAlex"}}}}}}}}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key","description":"Your Scrape Creators API key"}}}}